#!/usr/bin/python3

import notmuch

with notmuch.Database() as db:
    query = db.create_query('')
    for msg in query.search_messages():
        try:
            assert msg.get_header('Subject') == 'Hello world!'
            assert msg.get_header('Does-Not-Exist') == ''
        except Exception as exc:
            print(ascii(exc))
        else:
            print('OK')

# vim:ts=4 sw=4 et
